
From: Jeff Dike <jdike@addtoit.com>

Otherwise, we'll sometimes get timer interrupts that we can't handle.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/skas/process_kern.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/kernel/skas/process_kern.c~uml-enable-the-timer-after-the-timer-handler arch/um/kernel/skas/process_kern.c
--- 25/arch/um/kernel/skas/process_kern.c~uml-enable-the-timer-after-the-timer-handler	Tue Sep 14 17:08:57 2004
+++ 25-akpm/arch/um/kernel/skas/process_kern.c	Tue Sep 14 17:08:57 2004
@@ -224,9 +224,9 @@ int start_uml_skas(void)
 {
 	start_userspace(0);
 	capture_signal_stack();
-	uml_idle_timer();
 
 	init_new_thread_signals(1);
+	uml_idle_timer();
 
 	init_task.thread.request.u.thread.proc = start_kernel_proc;
 	init_task.thread.request.u.thread.arg = NULL;
_
